Skip to main content

Access Key Actions

https://api.app.wnology.io/applications/APPLICATION_ID/keys/APPLICATION_KEY_ID

Below are the various requests that can be performed against the Access Key resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an applicationKey

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/keys/APPLICATION_KEY_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationKey.*, or applicationKey.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_KEY_IDID associated with the applicationKey575ec76c7ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/keys/APPLICATION_KEY_ID

Successful Responses​

CodeTypeDescription
200SuccessIf applicationKey was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if applicationKey was not found

Get​

Retrieves information on an applicationKey

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/keys/APPLICATION_KEY_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, applicationKey.*, or applicationKey.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_KEY_IDID associated with the applicationKey575ec76c7ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/keys/APPLICATION_KEY_ID

Successful Responses​

CodeTypeDescription
200Application KeyapplicationKey information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if applicationKey was not found

Patch​

Updates information about an applicationKey

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/keys/APPLICATION_KEY_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationKey.*, or applicationKey.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_KEY_IDID associated with the applicationKey575ec76c7ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Application Key Patch schema. For example, the following would be a valid body for this request:

{
"status": "active",
"description": "An example updated key description"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"status":"active","description":"An example updated key description"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/keys/APPLICATION_KEY_ID

Successful Responses​

CodeTypeDescription
200Application KeyUpdated applicationKey information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if applicationKey was not found

Schemas​

Application Key​

Schema for a single Application Key

Application Key Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 20 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 1 key
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 3 keys

                                          Application Key Example​

                                          • ▶
                                            {} 11 keys
                                            • "575ec76c7ae143cd83dc4a96"
                                            • "575ec76c7ae143cd83dc4a96"
                                            • "575ec8687ae143cd83dc4a97"
                                            • "2016-06-13T04:00:00.000Z"
                                            • "2016-06-13T04:00:00.000Z"
                                            • "this_would_be_the_key"
                                            • "active"
                                            • "An example key description"
                                            • "all"
                                            • [] 0 items
                                              • [] 0 items

                                              Application Key Patch​

                                              Schema for the body of an Application Key modification request

                                              Application Key Patch Schema​

                                              • ▶
                                                {} 4 keys
                                                • "http://json-schema.org/draft-07/schema#"
                                                • "object"
                                                • ▶
                                                  {} 8 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 1 key
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 1 key
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 3 keys
                                                                • false

                                                              Application Key Patch Example​

                                                              • ▶
                                                                {} 2 keys
                                                                • "active"
                                                                • "An example updated key description"

                                                              Error​

                                                              Schema for errors returned by the API

                                                              Error Schema​

                                                              • ▶
                                                                {} 3 keys
                                                                • "http://json-schema.org/draft-07/schema#"
                                                                • "object"
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 1 key

                                                                  Error Example​

                                                                  • ▶
                                                                    {} 2 keys
                                                                    • "NotFound"
                                                                    • "Application was not found"

                                                                  Success​

                                                                  Schema for reporting a successful operation

                                                                  Success Schema​

                                                                  • ▶
                                                                    {} 3 keys
                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                    • "object"
                                                                    • ▶
                                                                      {} 1 key
                                                                      • ▶
                                                                        {} 2 keys

                                                                    Success Example​

                                                                    • ▶
                                                                      {} 1 key
                                                                      • true

                                                                    Was this page helpful?


                                                                    Still looking for help? You can also search the WEGnology Forums or submit your question there.